Jasper Report 5.6 is not working with EAP 7.2.0

Solution Verified - Updated -

Issue

EAP 6.4.0 can work with Jasper 5.6 without any problem
EAP 7.2.0 got ClassFormatException for Jasper Report 5.6.

2019-07-03 15:41:16,065 ERROR [net.sf.jasperreports.engine.design.JRJdtCompiler] (default task-5) Compilation error: org.eclipse.jdt.internal.compiler.classfmt.ClassFormatException
    at org.eclipse.jdt.internal.compiler.classfmt.ClassFileReader.<init>(ClassFileReader.java:372)

Environment

  • Red Hat JBoss Enterprise Application Platform (EAP)
    • 7.2

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In